<?php

/**
 * Plugin Name: UUID File Renamer
 * Description: Dieses Plugin benennt hochgeladene Dateien automatisch in eine UUID um.
 * Plugin URI:  https://gitea.gnilebein.de/gnilebein/wordpres-uuid-file-renamer
 * Version: 1.1
 * Author: Patrick Niebeling <patrick@niebel.ing>
 * Author URI:  https://gnilebein.de
 * Text Domain: uuid-file-renamer
 * License: GPL2
 */

// Hook in den Upload-Prozess
add_filter('wp_handle_upload_prefilter', 'rename_file_to_uuid');

function rename_file_to_uuid($file)
{
    // Generiere eine UUID
    $uuid = wp_generate_uuid4();

    // Dateiendung beibehalten
    $file_info = pathinfo($file['name']);
    $extension = isset($file_info['extension']) ? '.' . $file_info['extension'] : '';

    // Neuen Dateinamen setzen
    $file['name'] = $uuid . $extension;

    return $file;
}